Get call detail
curl --request GET \
--url https://dashboard.ondial.ai/api/v1/calls/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dashboard.ondial.ai/api/v1/calls/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://dashboard.ondial.ai/api/v1/calls/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"call": {}
}{
"error": "Invalid or inactive API key",
"reasonCode": "unauthorized"
}{
"error": "Insufficient scope",
"reasonCode": "forbidden",
"missing": [
"calls:read"
]
}{
"error": "Not found",
"reasonCode": "not_found"
}Get call
Call detail with transcript and analysis (no permanent recording URL).
GET
/
api
/
v1
/
calls
/
{id}
Get call detail
curl --request GET \
--url https://dashboard.ondial.ai/api/v1/calls/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dashboard.ondial.ai/api/v1/calls/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://dashboard.ondial.ai/api/v1/calls/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"call": {}
}{
"error": "Invalid or inactive API key",
"reasonCode": "unauthorized"
}{
"error": "Insufficient scope",
"reasonCode": "forbidden",
"missing": [
"calls:read"
]
}{
"error": "Not found",
"reasonCode": "not_found"
}Requires
calls:read. Resolve by conversation _id or call_id.
For audio, call Get call recording with recordings:read.
